/*
 * $Id: XML_balise_open_begin.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::balise_open_begin"
  bool XML::balise_open_begin (std::string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    _body += indent() + "<"+name;

    _list_balise_name.push_front(name);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return true;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
